Agent Knowledge Bases
Get document
Get a single document from a knowledge base.
GET
Get document
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a single document from a knowledge base.
curl --request GET \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents/{docId} \
--header 'Authorization: Bearer <token>'{
"document": {
"id": "<string>",
"knowledgeBaseId": "<string>",
"title": "<string>",
"contentLength": 123,
"chunkCount": 123,
"isProcessed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents/{docId} \
--header 'Authorization: Bearer <token>'{
"document": {
"id": "<string>",
"knowledgeBaseId": "<string>",
"title": "<string>",
"contentLength": 123,
"chunkCount": 123,
"isProcessed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}